Bug 1308930 - Hundreds of tracebacks after Satellite5 upgrade
Hundreds of tracebacks after Satellite5 upgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
570
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 08:53 EST by Alessandro Silva
Modified: 2017-02-02 10:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-02 10:43:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Silva 2016-02-16 08:53:07 EST
Description of problem:

After an unsuccess upgrade, we are facing a lot of tracebacks by e-mail.
The Satellite is working, but the customer is receiving a hundreds of e-mail like that.


Version-Release number of selected component (if applicable):

Satellite 5.7
RHEL: 6.7


**** Error reported:

Exception reported from satetellite.mycompany.com.br
Time: Tue Feb 16 10:56:47 2016
Exception type <class 'psycopg2.extensions.TransactionRollbackError'>
Exception while handling function registration.register_osad_jid
Request object information:
URI: /XMLRPC
Remote Host: npaa1757.mycompany.com.br
Server Name: erigor.mycompany.com.br:443
Headers passed in:
Accept-Encoding: identity
CONTENT_LENGTH: 2378
CONTENT_TYPE: text/xml
DOCUMENT_ROOT: /var/www/html
GATEWAY_INTERFACE: CGI/1.1
HTTPS: 1
HTTP_ACCEPT_ENCODING: identity
HTTP_HOST: erigor.mycompany.com.br
HTTP_USER_AGENT: rhn.rpclib.py/$Revision$
HTTP_X_CLIENT_VERSION: 1
HTTP_X_INFO: RPC Processor (C) Red Hat, Inc (version $Revision$)
HTTP_X_RHN_TRANSPORT_CAPABILITY: follow-redirects=3
HTTP_X_TRANSPORT_INFO: Extended Capabilities Transport (C) Red Hat, Inc (version $Revision$)
Host: erigor.mycompany.com.br
PATH_INFO:
QUERY_STRING:
REMOTE_ADDR: 10.28.226.63
REMOTE_PORT: 33276
REQUEST_METHOD: POST
REQUEST_URI: /XMLRPC
SCRIPT_FILENAME: /usr/share/rhn/wsgi/xmlrpc.py
SCRIPT_NAME: /XMLRPC
SCRIPT_URI: https://erigor.mycompany.com.br/XMLRPC
SCRIPT_URL: /XMLRPC
SERVER_ADDR: 10.30.180.43
SERVER_ADMIN: root@localhost
SERVER_NAME: erigor.mycompany.com.br
SERVER_PORT: 443
SERVER_PROTOCOL: HTTP/1.1
SERVER_SIGNATURE: <address>Apache Server at erigor.mycompany.com.br Port 443</address>

SERVER_SOFTWARE: Apache
User-Agent: rhn.rpclib.py/$Revision$
X-Client-Version: 1
X-Info: RPC Processor (C) Red Hat, Inc (version $Revision$)
X-RHN-Transport-Capability: follow-redirects=3
X-Transport-Info: Extended Capabilities Transport (C) Red Hat, Inc (version $Revision$)
mod_ssl.is_https: <built-in method ssl_is_https of mod_wsgi.Adapter object at 0x7f2bad61aa80>
mod_ssl.var_lookup: <built-in method ssl_var_lookup of mod_wsgi.Adapter object at 0x7f2bad61aa80>
mod_wsgi.application_group: erigor.mycompany.com.br|/xmlrpc
mod_wsgi.callable_object: application
mod_wsgi.handler_script:
mod_wsgi.input_chunked: 0
mod_wsgi.listener_host:
mod_wsgi.listener_port: 443
mod_wsgi.process_group:
mod_wsgi.request_handler: wsgi-script
mod_wsgi.script_reloading: 1
mod_wsgi.version: (3, 2)
wsgi.errors: <mod_wsgi.Log object at 0x7f2bc4a52b70>
wsgi.file_wrapper: <built-in method file_wrapper of mod_wsgi.Adapter object at 0x7f2bad61aa80>
wsgi.input: <mod_wsgi.Input object at 0x7f2bc47bbb30>
wsgi.multiprocess: True
wsgi.multithread: False
wsgi.run_once: False
wsgi.url_scheme: https
wsgi.version: (1, 1)

Exception Handler Information
Traceback (most recent call last):
 File "/usr/lib/python2.6/site-packages/spacewalk/server/apacheRequest.py", line 122, in call_function
   response = func(*params)
 File "/usr/share/rhn/server/handlers/xmlrpc/registration.py", line 1182, in register_osad_jid
   server.register_push_client_jid(jid)
 File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_class.py", line 833, in register_push_client_jid
   ret = server_lib.update_push_client_jid(server_id, jid)
 File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_lib.py", line 316, in update_push_client_jid
   h1.execute(server_id=server_id, jid=jid)
 File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/sql_base.py", line 147, in execute
   return self._execute_wrapper(self._execute, *p, **kw)
 File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/driver_postgresql.py", line 286, in _execute_wrapper
   retval = function(*p, **kw)
 File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/sql_base.py", line 201, in _execute
   return self._execute_(args, kwargs)
 File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/driver_postgresql.py", line 305, in _execute_
   self._real_cursor.execute(self.sql, params)
TransactionRollbackError: deadlock detected
DETAIL:  Process 32060 waits for ShareLock on transaction 118647427; blocked by process 32019.
Process 32019 waits for ShareLock on transaction 118647426; blocked by process 32060.
HINT:  See server log for query details.


Local variables by frame
Frame _execute_ in /usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/driver_postgresql.py at line 305
                self = <type 'instance'> <spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f2bc4a04fc8>
                args = <type 'tuple'> ()
              params = <type 'instance'> {'server_id': 1000033930, 'jid': 'osad-47a175c230@erigor.mycompany.com.br/osad'}
              kwargs = <type 'dict'> {'server_id': 1000033930, 'jid': 'osad-47a175c230@erigor.mycompany.com.br/osad'}

Frame _execute in /usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/sql_base.py at line 201
                self = <type 'instance'> <spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f2bc4a04fc8>
                args = <type 'tuple'> ()
                 val = <type 'int'> 1000033930
              kwargs = <type 'dict'> {'server_id': 1000033930, 'jid': 'osad-47a175c230@erigor.mycompany.com.br/osad'}

Frame _execute_wrapper in /usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/driver_postgresql.py at line 297
            function = <type 'instancemethod'> <bound method Cursor._execute of <spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f2bc4a04fc8>>
                self = <type 'instance'> <spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f2bc4a04fc8>
               value = <type 'str'> osad-47a175c230@erigor.mycompany.com.br/osad
                   p = <type 'tuple'> ()
                  kw = <type 'dict'> {'server_id': 1000033930, 'jid': 'osad-47a175c230@erigor.mycompany.com.br/osad'}
                 key = <type 'str'> jid
              params = <type 'str'> server_id: 1000033930,jid: osad-47a175c230@erigor.mycompany.com.br/osad

Frame execute in /usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/sql_base.py at line 147
                   p = <type 'tuple'> ()
                self = <type 'instance'> <spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f2bc4a04fc8>
                  kw = <type 'dict'> {'server_id': 1000033930, 'jid': 'osad-47a175c230@erigor.mycompany.com.br/osad'}

Frame update_push_client_jid in /usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_lib.py at line 316
                 jid = <type 'str'> osad-47a175c230@erigor.mycompany.com.br/osad
                  h1 = <type 'instance'> <spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f2bc4a04fc8>
           server_id = <type 'int'> 1000033930

Frame register_push_client_jid in /usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_class.py at line 833
           server_id = <type 'int'> 1000033930
                 jid = <type 'str'> osad-47a175c230@erigor.mycompany.com.br/osad
                self = <class 'spacewalk.server.rhnServer.server_class.Server'> <Server Class at 139825959987024: {'self.cert': None, 'self.server': {'info': (None, 0), 'creator_id': (63, 0), 'provision_state_id': (None, 0), 'name': ('NPAA1757', 0), 'created': (datetime.datetime(2015, 6, 11, 11, 38, 20, 849806, tzinfo=<psycopg2.tz.FixedOffsetTimezone object at 0x7f2bc4ace390>), 0), 'auto_update': ('N', 0), 'running_kernel': ('2.6.32-504.23.4.el6.x86_64', 0), 'description': ('Initial Registration Parameters:\nOS: redhat-release-server\nRelease: 6Server\nCPU Arch: x86_64', 0), 'org_id': (63, 0), 'modified': (datetime.datetime(2015, 10, 8, 23, 17, 44, 589787, tzinfo=<psycopg2.tz.FixedOffsetTimezone object at 0x7f2bc4aceb10>), 0), 'server_arch_id': (1017, 0), 'secret': ('feb977049351879d0d33d8ba8f1a700e4308124bbf9affef51cb77fb79953f21', 0), 'last_boot': (1443559054.592411, 0), 'digital_server_id': ('ID-1000033930', 0), 'release': ('6Server', 0), 'channels_changed': (datetime.dat
etime(2015, 6, 11, 11, 38, 20, 849806, tzinfo=<psycopg2.tz.FixedOffsetTimezone object at 0x7f2bc4aceb90>), 0), 'os': ('redhat-release-server', 0), 'id': (1000033930, 0), 'cobbler_id': (None, 0)}}>


Frame register_osad_jid in /usr/share/rhn/server/handlers/xmlrpc/registration.py at line 1182
                 jid = <type 'str'> osad-47a175c230@erigor.mycompany.com.br/osad
                args = <type 'dict'> {'jabber-id': 'osad-47a175c230@erigor.mycompany.com.br/osad'}
           system_id = <type 'str'> <?xml version="1.0"?>
<params>
<param>
<value><struct>
<member>
<name>username</name>
<value><string>ticsealadmin</string></value>
</member>
<member>
<name>operating_system</name>
<value><string>redhat-release-server</string></value>
</member>
<member>
<name>description</name>
<value><string>Initial Registration Parameters:
OS: redhat-release-server
Release: 6Server
CPU Arch: x86_64</string></value>
</member>
<member>
<name>checksum</name>
<value><string>365f402d982420c2f150ac9d2185ba1c0c000eb965ea53f675a21f6d86647c34</string></value>
</member>
<member>
<name>profile_name</name>
<value><string>NPAA1757</string></value>
</member>
<member>
<name>system_id</name>
<value><string>ID-1000033930</string></value>
</member>
<member>
<name>architecture</name>
<value><string>x86_64</string></value>
</member>
<member>
<name>os_release</name>
<value><string>6Server</string></value>
</member>
<member>
<name>fields</name>
<value><array><data>
<value><string>system_id</string></value>
<value><string>os_release</string></value>
<value><string>operating_system</string></value>
<value><string>architecture</string></value>
<value><string>username</string></value>
<value><string>type</string></value>
</data></array></value>
</member>
<member>
<name>type</name>
<value><string>REAL</string></value>
</member>
</struct></value>
</param>
</params>

                self = <type 'instance'> <server.handlers.xmlrpc.registration.Registration instance at 0x7f2bc4a04cb0>
              server = <class 'spacewalk.server.rhnServer.server_class.Server'> <Server Class at 139825959987024: {'self.cert': None, 'self.server': {'info': (None, 0), 'creator_id': (63, 0), 'provision_state_id': (None, 0), 'name': ('NPAA1757', 0), 'created': (datetime.datetime(2015, 6, 11, 11, 38, 20, 849806, tzinfo=<psycopg2.tz.FixedOffsetTimezone object at 0x7f2bc4ace390>), 0), 'auto_update': ('N', 0), 'running_kernel': ('2.6.32-504.23.4.el6.x86_64', 0), 'description': ('Initial Registration Parameters:\nOS: redhat-release-server\nRelease: 6Server\nCPU Arch: x86_64', 0), 'org_id': (63, 0), 'modified': (datetime.datetime(2015, 10, 8, 23, 17, 44, 589787, tzinfo=<psycopg2.tz.FixedOffsetTimezone object at 0x7f2bc4aceb10>), 0), 'server_arch_id': (1017, 0), 'secret': ('feb977049351879d0d33d8ba8f1a700e4308124bbf9affef51cb77fb79953f21', 0), 'last_boot': (1443559054.592411, 0), 'digital_server_id': ('ID-1000033930', 0), 'release': ('6Server', 0), 'channels_changed': (datetime.dat
etime(2015, 6, 11, 11, 38, 20, 849806, tzinfo=<psycopg2.tz.FixedOffsetTimezone object at 0x7f2bc4aceb90>), 0), 'os': ('redhat-release-server', 0), 'id': (1000033930, 0), 'cobbler_id': (None, 0)}}>


Frame call_function in /usr/lib/python2.6/site-packages/spacewalk/server/apacheRequest.py at line 173
                   e = <class 'psycopg2.extensions.TransactionRollbackError'> deadlock detected
DETAIL:  Process 32060 waits for ShareLock on transaction 118647427; blocked by process 32019.
Process 32019 waits for ShareLock on transaction 118647426; blocked by process 32060.
HINT:  See server log for query details.

                self = <type 'instance'> <spacewalk.server.apacheRequest.apachePOST instance at 0x7f2bad3c6f80>
      force_rollback = <type 'int'> 1
              params = <type 'tuple'> ('<?xml version="1.0"?>\n<params>\n<param>\n<value><struct>\n<member>\n<name>username</name>\n<value><string>ticsealadmin</string></value>\n</member>\n<member>\n<name>operating_system</name>\n<value><string>redhat-release-server</string></value>\n</member>\n<member>\n<name>description</name>\n<value><string>Initial Registration Parameters:\nOS: redhat-release-server\nRelease: 6Server\nCPU Arch: x86_64</string></value>\n</member>\n<member>\n<name>checksum</name>\n<value><string>365f402d982420c2f150ac9d2185ba1c0c000eb965ea53f675a21f6d86647c34</string></value>\n</member>\n<member>\n<name>profile_name</name>\n<value><string>NPAA1757</string></value>\n</member>\n<member>\n<name>system_id</name>\n<value><string>ID-1000033930</string></value>\n</member>\n<member>\n<name>architecture</name>\n<value><string>x86_64</string></value>\n</member>\n<member>\n<name>os_release</name>\n<value><string>6Server</string></value>\n</member>\n<member>\n<name>fi
elds</name>\n<value><array><data>\n<value><string>system_id</string></value>\n<value><string>os_release</string></value>\n<value><string>operating_system</string></value>\n<value><string>architecture</string></value>\n<value><string>username</string></value>\n<value><string>type</string></value>\n</data></array></value>\n</member>\n<member>\n<name>type</name>\n<value><string>REAL</string></value>\n</member>\n</struct></value>\n</param>\n</params>\n', {'jabber-id': 'osad-47a175c230@erigor.mycompany.com.br/osad'})
                func = <type 'instancemethod'> <bound method Registration.register_osad_jid of <server.handlers.xmlrpc.registration.Registration instance at 0x7f2bc4a04cb0>>
              method = <type 'unicode'> registration.register_osad_jid

Frame process in /usr/lib/python2.6/site-packages/spacewalk/server/apacheRequest.py at line 490
                  fd = <type 'instance'> <cStringIO.StringO object at 0x7f2baba9e5e0>
               _body = <type 'str'> <?xml version='1.0'?>
<methodCall>
<methodName>registration.register_osad_jid</methodName>
<params>
<param>
<value><string>&lt;?xml version="1.0"?&gt;
&lt;params&gt;
&lt;param&gt;
&lt;value&gt;&lt;struct&gt;
&lt;member&gt;
&lt;name&gt;username&lt;/name&gt;
&lt;value&gt;&lt;string&gt;ticsealadmin&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;operating_system&lt;/name&gt;
&lt;value&gt;&lt;string&gt;redhat-release-server&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;description&lt;/name&gt;
&lt;value&gt;&lt;string&gt;Initial Registration Parameters:
OS: redhat-release-server
Release: 6Server
CPU Arch: x86_64&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;checksum&lt;/name&gt;
&lt;value&gt;&lt;string&gt;365f402d982420c2f150ac9d2185ba1c0c000eb965ea53f675a21f6d86647c34&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;profile_name&lt;/name&gt;
&lt;value&gt;&lt;string&gt;NPAA1757&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;system_id&lt;/name&gt;
&lt;value&gt;&lt;string&gt;ID-1000033930&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;architecture&lt;/name&gt;
&lt;value&gt;&lt;string&gt;x86_64&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;os_release&lt;/name&gt;
&lt;value&gt;&lt;string&gt;6Server&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;fields&lt;/name&gt;
&lt;value&gt;&lt;array&gt;&lt;data&gt;
&lt;value&gt;&lt;string&gt;system_id&lt;/string&gt;&lt;/value&gt;
&lt;value&gt;&lt;string&gt;os_release&lt;/string&gt;&lt;/value&gt;
&lt;value&gt;&lt;string&gt;operating_system&lt;/string&gt;&lt;/value&gt;
&lt;value&gt;&lt;string&gt;architecture&lt;/string&gt;&lt;/value&gt;
&lt;value&gt;&lt;string&gt;username&lt;/string&gt;&lt;/value&gt;
&lt;value&gt;&lt;string&gt;type&lt;/string&gt;&lt;/value&gt;
&lt;/data&gt;&lt;/array&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;member&gt;
&lt;name&gt;type&lt;/name&gt;
&lt;value&gt;&lt;string&gt;REAL&lt;/string&gt;&lt;/value&gt;
&lt;/member&gt;
&lt;/struct&gt;&lt;/value&gt;
&lt;/param&gt;
&lt;/params&gt;
</string></value>
</param>
<param>
<value><struct>
<member>
<name>jabber-id</name>
<value><string>osad-47a175c230@erigor.mycompany.com.br/osad</string></value>
</member>
</struct></value>
</param>
</params>
</methodCall>

              params = <type 'tuple'> ('<?xml version="1.0"?>\n<params>\n<param>\n<value><struct>\n<member>\n<name>username</name>\n<value><string>ticsealadmin</string></value>\n</member>\n<member>\n<name>operating_system</name>\n<value><string>redhat-release-server</string></value>\n</member>\n<member>\n<name>description</name>\n<value><string>Initial Registration Parameters:\nOS: redhat-release-server\nRelease: 6Server\nCPU Arch: x86_64</string></value>\n</member>\n<member>\n<name>checksum</name>\n<value><string>365f402d982420c2f150ac9d2185ba1c0c000eb965ea53f675a21f6d86647c34</string></value>\n</member>\n<member>\n<name>profile_name</name>\n<value><string>NPAA1757</string></value>\n</member>\n<member>\n<name>system_id</name>\n<value><string>ID-1000033930</string></value>\n</member>\n<member>\n<name>architecture</name>\n<value><string>x86_64</string></value>\n</member>\n<member>\n<name>os_release</name>\n<value><string>6Server</string></value>\n</member>\n<member>\n<name>fi
elds</name>\n<value><array><data>\n<value><string>system_id</string></value>\n<value><string>os_release</string></value>\n<value><string>operating_system</string></value>\n<value><string>architecture</string></value>\n<value><string>username</string></value>\n<value><string>type</string></value>\n</data></array></value>\n</member>\n<member>\n<name>type</name>\n<value><string>REAL</string></value>\n</member>\n</struct></value>\n</param>\n</params>\n', {'jabber-id': 'osad-47a175c230@erigor.mycompany.com.br/osad'})
              method = <type 'unicode'> registration.register_osad_jid
                self = <type 'instance'> <spacewalk.server.apacheRequest.apachePOST instance at 0x7f2bad3c6f80>

Frame handler in /usr/lib/python2.6/site-packages/spacewalk/server/apacheHandler.py at line 196
                   h = <type 'instance'> <spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f2bc4ac6f80>
                self = <type 'instance'> <spacewalk.server.apacheHandler.apacheHandler instance at 0x7f2bc44e7bd8>
                 req = <type 'instance'> <wsgi.wsgiRequest.WsgiRequest instance at 0x7f2bacd5af80>
                 ret = <type 'int'> 0
     templateStrings = <type 'dict'> {'email_account_info': '\nAccount Information:\n  Your Red Hat Satellite login:         <login />\n  Your Red Hat Satellite email address: <email-address />', 'email_footer': '--the Red Hat Satellite Team', 'hostname': 'erigor.mycompany.com.br'}
                 row = <type 'NoneType'> None

Frame handle in /usr/share/rhn/wsgi/wsgiHandler.py at line 45
        replacements = <type 'dict'> {'Xml': 'XML', 'Actualuri': 'ActualURI', 'Md5Sum': 'MD5sum', '_': '-', 'Rhn': 'RHN'}
      component_type = <type 'str'> server.xmlrpc
      start_response = <type 'builtin_function_or_method'> <built-in method start_response of mod_wsgi.Adapter object at 0x7f2bad61aa80>
                   k = <type 'str'> Rhn
                 req = <type 'instance'> <wsgi.wsgiRequest.WsgiRequest instance at 0x7f2bacd5af80>
           parseServ = <type 'instancemethod'> <bound method apacheHandler.headerParserHandler of <spacewalk.server.apacheHandler.apacheHandler instance at 0x7f2bc44e7bd8>>
                 ret = <type 'int'> 0
              server = <type 'str'> xmlrpc
             environ = <type 'dict'> {'mod_wsgi.listener_port': '443', 'mod_ssl.var_lookup': <built-in method ssl_var_lookup of mod_wsgi.Adapter object at 0x7f2bad61aa80>, 'SERVER_SOFTWARE': 'Apache', 'SCRIPT_NAME': '/XMLRPC', 'HTTP_X_TRANSPORT_INFO': 'Extended Capabilities Transport (C) Red Hat, Inc (version $Revision$)', 'mod_wsgi.handler_script': '', 'SERVER_SIGNATURE': '<address>Apache Server at erigor.mycompany.com.br Port 443</address>\n', 'REQUEST_METHOD': 'POST', 'PATH_INFO': '', 'SERVER_PROTOCOL': 'HTTP/1.1', 'QUERY_STRING': '', 'X-Info': 'RPC Processor (C) Red Hat, Inc (version $Revision$)', 'CONTENT_LENGTH': '2378', 'HTTP_USER_AGENT': 'rhn.rpclib.py/$Revision$', 'SERVER_NAME': 'erigor.mycompany.com.br', 'REMOTE_ADDR': '10.28.226.63', 'mod_wsgi.request_handler': 'wsgi-script', 'User-Agent': 'rhn.rpclib.py/$Revision$', 'wsgi.url_scheme': 'https', 'Host': 'erigor.mycompany.com.br', 'X-RHN-Transport-Capability': 'follow-redirects=3', 'mod_wsgi.callable_object': 'appli
cation', 'SERVER_PORT': '443', 'wsgi.multiprocess': True, 'mod_wsgi.input_chunked': '0', 'SERVER_ADDR': '10.30.180.43', 'DOCUMENT_ROOT': '/var/www/html', 'mod_wsgi.process_group': '', 'Accept-Encoding': 'identity', 'SCRIPT_FILENAME': '/usr/share/rhn/wsgi/xmlrpc.py', 'SERVER_ADMIN': 'root@localhost', 'X-Transport-Info': 'Extended Capabilities Transport (C) Red Hat, Inc (version $Revision$)', 'SCRIPT_URI': 'https://erigor.mycompany.com.br/XMLRPC', 'HTTP_X_CLIENT_VERSION': '1', 'wsgi.input': <mod_wsgi.Input object at 0x7f2bc47bbb30>, 'HTTP_HOST': 'erigor.mycompany.com.br', 'SCRIPT_URL': '/XMLRPC', 'HTTPS': '1', 'wsgi.multithread': False, 'REQUEST_URI': '/XMLRPC', 'X-Client-Version': '1', 'wsgi.version': (1, 1), 'GATEWAY_INTERFACE': 'CGI/1.1', 'wsgi.run_once': False, 'wsgi.errors': <mod_wsgi.Log object at 0x7f2bc4a52b70>, 'REMOTE_PORT': '33276', 'mod_wsgi.listener_host': '', 'mod_wsgi.version': (3, 2), 'HTTP_X_RHN_TRANSPORT_CAPABILITY': 'follow-redirects=3', 'mod_ssl.is_https':
<built-in method ssl_is_https of mod_wsgi.Adapter object at 0x7f2bad61aa80>, 'CONTENT_TYPE': 'text/xml', 'mod_wsgi.application_group': 'erigor.mycompany.com.br|/xmlrpc', 'mod_wsgi.script_reloading': '1', 'wsgi.file_wrapper': <built-in method file_wrapper of mod_wsgi.Adapter object at 0x7f2bad61aa80>, 'HTTP_ACCEPT_ENCODING': 'identity', 'HTTP_X_INFO': 'RPC Processor (C) Red Hat, Inc (version $Revision$)'}
                 key = <type 'str'> HTTP_X_INFO
                   v = <type 'str'> RHN
          servertype = <type 'str'> spacewalk.server.apacheServer
             new_key = <type 'str'> X-Info
             appServ = <type 'instancemethod'> <bound method apacheHandler.handler of <spacewalk.server.apacheHandler.apacheHandler instance at 0x7f2bc44e7bd8>>

Frame application in /usr/share/rhn/wsgi/xmlrpc.py at line 22
      start_response = <type 'builtin_function_or_method'> <built-in method start_response of mod_wsgi.Adapter object at 0x7f2bad61aa80>
             environ = <type 'dict'> {'mod_wsgi.listener_port': '443', 'mod_ssl.var_lookup': <built-in method ssl_var_lookup of mod_wsgi.Adapter object at 0x7f2bad61aa80>, 'SERVER_SOFTWARE': 'Apache', 'SCRIPT_NAME': '/XMLRPC', 'HTTP_X_TRANSPORT_INFO': 'Extended Capabilities Transport (C) Red Hat, Inc (version $Revision$)', 'mod_wsgi.handler_script': '', 'SERVER_SIGNATURE': '<address>Apache Server at erigor.mycompany.com.br Port 443</address>\n', 'REQUEST_METHOD': 'POST', 'PATH_INFO': '', 'SERVER_PROTOCOL': 'HTTP/1.1', 'QUERY_STRING': '', 'X-Info': 'RPC Processor (C) Red Hat, Inc (version $Revision$)', 'CONTENT_LENGTH': '2378', 'HTTP_USER_AGENT': 'rhn.rpclib.py/$Revision$', 'SERVER_NAME': 'erigor.mycompany.com.br', 'REMOTE_ADDR': '10.28.226.63', 'mod_wsgi.request_handler': 'wsgi-script', 'User-Agent': 'rhn.rpclib.py/$Revision$', 'wsgi.url_scheme': 'https', 'Host': 'erigor.mycompany.com.br', 'X-RHN-Transport-Capability': 'follow-redirects=3', 'mod_wsgi.callable_object': 'appli
cation', 'SERVER_PORT': '443', 'wsgi.multiprocess': True, 'mod_wsgi.input_chunked': '0', 'SERVER_ADDR': '10.30.180.43', 'DOCUMENT_ROOT': '/var/www/html', 'mod_wsgi.process_group': '', 'Accept-Encoding': 'identity', 'SCRIPT_FILENAME': '/usr/share/rhn/wsgi/xmlrpc.py', 'SERVER_ADMIN': 'root@localhost', 'X-Transport-Info': 'Extended Capabilities Transport (C) Red Hat, Inc (version $Revision$)', 'SCRIPT_URI': 'https://erigor.mycompany.com.br/XMLRPC', 'HTTP_X_CLIENT_VERSION': '1', 'wsgi.input': <mod_wsgi.Input object at 0x7f2bc47bbb30>, 'HTTP_HOST': 'erigor.mycompany.com.br', 'SCRIPT_URL': '/XMLRPC', 'HTTPS': '1', 'wsgi.multithread': False, 'REQUEST_URI': '/XMLRPC', 'X-Client-Version': '1', 'wsgi.version': (1, 1), 'GATEWAY_INTERFACE': 'CGI/1.1', 'wsgi.run_once': False, 'wsgi.errors': <mod_wsgi.Log object at 0x7f2bc4a52b70>, 'REMOTE_PORT': '33276', 'mod_wsgi.listener_host': '', 'mod_wsgi.version': (3, 2), 'HTTP_X_RHN_TRANSPORT_CAPABILITY': 'follow-redirects=3', 'mod_ssl.is_https':
<built-in method ssl_is_https of mod_wsgi.Adapter object at 0x7f2bad61aa80>, 'CONTENT_TYPE': 'text/xml', 'mod_wsgi.application_group': 'erigor.mycompany.com.br|/xmlrpc', 'mod_wsgi.script_reloading': '1', 'wsgi.file_wrapper': <built-in method file_wrapper of mod_wsgi.Adapter object at 0x7f2bad61aa80>, 'HTTP_ACCEPT_ENCODING': 'identity', 'HTTP_X_INFO': 'RPC Processor (C) Red Hat, Inc (version $Revision$)'}


Environment for PID=32058 on exception:
LANG = C
PATH = /sbin:/usr/sbin:/bin:/usr/bin
PWD = /
SHLVL = 2
TERM = xterm
_ = /usr/sbin/httpd
Comment 1 Tomas Lestach 2016-08-22 05:58:08 EDT
Unless more details about the upgrade are provided, I'm afraid engineering won't be able to help here.
Comment 2 Tomas Lestach 2017-02-02 10:43:54 EST
Not information provided for 5+ months. Closing with INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.